de.esprit.netsuite.client.gui.event

## Class NetEventPrinter

- java.lang.Object
- - de.esprit.netsuite.client.gui.event.AbstractEventPrinter
  - - de.esprit.netsuite.client.gui.event.NetEventPrinter

- All Implemented Interfaces:
    GenericEvent.Listener, RemoteRecordChangeEvent.Listener, RemoteTaskEvent.Listener

      public class NetEventPrinter
      extends AbstractEventPrinter
      implements RemoteRecordChangeEvent.Listener, RemoteTaskEvent.Listener

  This adapter prints all `NetEvent`s to the given console.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetEventPrinter(ClientContext ctx, TextPrintable console)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getEventType()`
    `void` | `remoteRecordChanged(RemoteRecordChangeEvent e)`
    `void` | `remoteTaskChanged(RemoteTaskEvent e)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.event.AbstractEventPrinter

      `printEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetEventPrinter

          public NetEventPrinter(ClientContext ctx,
                         TextPrintable console)

  - ### Method Detail

    - #### getEventType

          protected java.lang.String getEventType()

      Specified by:
        `getEventType` in class `AbstractEventPrinter`

    - #### remoteTaskChanged

          public void remoteTaskChanged(RemoteTaskEvent e)

      Specified by:
        `remoteTaskChanged` in interface `RemoteTaskEvent.Listener`

    - #### remoteRecordChanged

          public void remoteRecordChanged(RemoteRecordChangeEvent e)

      Specified by:
        `remoteRecordChanged` in interface `RemoteRecordChangeEvent.Listener`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.